%{?scl:%scl_package eclipse-m2e-mavenarchiver}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global commit 5a285e50b886ae30fc9e76815fc54d009ca10c22
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}eclipse-m2e-mavenarchiver
Version:        0.17.2
Release:        0.4.git%{shortcommit}.%{baserelease}%{?dist}
Summary:        M2E Maven Archiver connector
License:        EPL-1.0
URL:            https://github.com/tesla/m2eclipse-mavenarchiver/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-mavenarchiver/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}tycho
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.core.resources)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.core.runtime)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.jdt)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.maven.runtime)



%description
This package provides Maven Archiver connector for Eclipse M2E.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n m2eclipse-mavenarchiver-%{commit}
find -name *.jar -delete

# Replace tycho support parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "
<build>
<plugins>
  <plugin>
    <groupId>org.eclipse.tycho</groupId>
    <artifactId>tycho-maven-plugin</artifactId>
    <version>0.21.0</version>
    <extensions>true</extensions>
  </plugin>
</plugins>
</build>"

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.mavenarchiver.tests
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -j
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%doc org.sonatype.m2e.mavenarchiver.feature/license.html

%changelog
* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.17.2-0.4.git5a285e5.1
- Auto SCL-ise package for rh-eclipse collection

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 0.17.2-0.4.git5a285e5
- Update license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-0.3.git5a285e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-0.2.git5a285e5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.17.2-0.1.git5a285e5
- Fix update to latest upstream snapshot

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.5.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.4.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-0.3.git0a4e929
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.17.0-0.2.git0a4e929
- Add Enhances: eclipse-m2e-core

* Wed Oct 14 2015 Mat Booth <mat.booth@redhat.com> - 0.17.0-0.1.git0a4e929
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.16.0-0.5.git8bdbcc3
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.4.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.3.git8bdbcc3
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-0.2.git8bdbcc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.16.0-0.1.git8bdbcc3
- Initial commit
